Download it now!
Bug 136107 - crash on export of selection
Summary: crash on export of selection
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-25 11:49 UTC by xavdeq
Modified: 2020-08-28 10:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xavdeq 2020-08-25 11:49:56 UTC
on function 
File/Export...

File type: XML
Selection chosen

If I use this function on a selection of cells on a spreadsheet
LibreOffice crashes


I tried several times on a spreadsheet i was using, then also on a purposely created new sheet.

The crash existed on a previous version of 6.4.5.2
Comment 1 Julien Nabet 2020-08-25 14:43:38 UTC
On pc Debian x86-64 with master sources updated today, I don't have a crash but a general error.
Comment 2 Julien Nabet 2020-08-25 14:45:38 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/101335
Comment 3 Julien Nabet 2020-08-26 08:38:15 UTC
BTW, here are console logs I got before patch:
runtime error: file file:///home/julien/lo/libreoffice/instdir/share/xslt/export/spreadsheetml/table.xsl line 434 element call-template
xsltApplySequenceConstructor: A potential infinite template recursion was detected.
You can adjust xsltMaxDepth (--maxdepth) in order to raise the maximum number of nested template calls and variables/params (currently set to 3000).
Templates:
#0 name optimized-row-repeating 
#1 name optimized-row-repeating 
#2 name optimized-row-repeating 
#3 name optimized-row-repeating 
#4 name optimized-row-repeating 
#5 name optimized-row-repeating 
#6 name optimized-row-repeating 
#7 name optimized-row-repeating 
#8 name optimized-row-repeating 
#9 name optimized-row-repeating 
#10 name optimized-row-repeating 
#11 name optimized-row-repeating 
#12 name optimized-row-repeating 
#13 name optimized-row-repeating 
#14 name optimized-row-repeating 
Variables:
#0
param thresholdmin 
#1
param thresholdmax 
#2
repetition 
#3
tableRow 
repetition 
#4
param thresholdmin 
#5
param thresholdmax 
#6
repetition 
#7
tableRow 
repetition 
#8
param thresholdmin 
#9
param thresholdmax 
#10
repetition 
#11
tableRow 
repetition 
#12
param thresholdmin 
#13
param thresholdmax 
#14
repetition 
warn:filter.xslt:151007:151097:filter/source/xsltfilter/XSLTFilter.cxx:253: XSLTFilter::error was called: com.sun.star.uno.Exception message: Unknown XSLT transformation error /home/julien/lo/libreoffice/filter/source/xsltfilter/LibXSLTTransformer.cxx:446
warn:xmloff:151007:151007:xmloff/source/core/xmlerror.cxx:169: An error or a warning has occurred during XML import/export!
Error-Id: 0x60040004
    Flags: 6 ERROR SEVERE
    Class: 4 API
    Number: 4
Parameters:
Exception-Message: com.sun.star.uno.RuntimeException: "/home/julien/lo/libreoffice/filter/source/xsltfilter/XSLTFilter.cxx:535"
Comment 4 Commit Notification 2020-08-27 15:57:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8b2845295c722f3713cf7cc699b6068e30008a5f

tdf#136107: crash on export of selection

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-28 09:15:24 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/da908a0c81eb144674c50e81e3dff4fdef3fd3dd

tdf#136107: crash on export of selection

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.